STRUCT RBTREE_ER(3)

NAME
boost::intrusive::rbtree_algorithms::rbtree_erase_fixup

SYNOPSIS

// In header: <boost/intrusive/rbtree_algorithms.hpp>
struct rbtree_erase_fixup {
  // public member functions
  void operator()(node_ptr, node_ptr);
};

DESCRIPTION

  rbtree_erase_fixup public member functions

    1.

    void operator()(node_ptr to_erase, node_ptr successor);